var claseUsuario = "";
var descClaseUsuarioEs = "";
var descClaseUsuarioEu = "";

$.ajax({
	  type: "POST",
	  url: "../usuarios/obtenerClaseUsuario",
	  success: function(data){
		
			  if (data.idclase != null && data.idclase >=0){
				 
				  claseUsuario = data.idclase;			
				  descClaseUsuarioEs = data.cclase;
				  descClaseUsuarioEu = data.eclase;
				  
				  if ($("#cclase_search").val() == "" ) {
					  $("#idclase_search").val(data.idclase);				
					 // alert($("#idclase_search").val());
					  if ($.rup_utils.capitalizedLang() =="Es") {	
						  $("#cclase_search").val(data.cclase);						  
					  } else {
						  $("#cclase_search").val(data.eclase);
						  
					  }
				  }
				  
			  }else{
				  //Si desde el mantenimiento de usuarios no se le ha asignado alguna clase no puede buscar nada
				  $("#idclase_search").val("-1");
				  $("#imgBuscarClase").hide();
				  
			  }
		  },
		 error: function(data){
			 alert( "Error al comprobar la clase a la que pertenece el usuario");
		 },
	  dataType: "json"
	});
jQuery(function($){
	
	$("#mantPartes_filter_div").toggle();
	
	
	
	//Dialogo con el mensaje y barra de sincronizar con gmao...
	$("#dialogoSincronizar").rup_dialog(
	{
		type : $.rup.dialog.DIV,
		height : 200,
		width : 500,
		modal : true,
		showLoading : true,
		autoOpen : false,
		title : $.rup.i18n.app.mensajesEdificios.sincronizando
	});
	
	//Si el usuario es tiene acceso a todos los servicios (idServicio=0) se podrá filtrar por cualquier Servicio.
	//En el resto de casos se filtrara por el Servicio al que pertenece para que solo salgan los partes asociados a ese servico
	$.ajax({
		  type: "POST",
		  url: "../usuarios/usuarioTodosServicios",
		  success: function(data){
				  if (data){
					  $("#filtroServicio").show();
				  }else{
					  $("#filtroServicio").hide();
				  }
			  },
			 error: function(data){
				 alert( "Error al comprobar el servicio al que pertenece el usuario");
			 },
		  dataType: "json"
		});
	
	
	var sClase="";
	var sCodigo="";
	$("#GRID_mantPartes").rup_grid({
		
		//hasMaint: true,
		loadOnStartUp:false,
		width: 1012,
		url: "../partes/gridPartes",
		pagerName: "pager",
		rowNum: "30",
		sortorder: "desc",
		sortname: "idparte",
		ondblClickRow : fncDetalleParte,
		colNames: [
		    $.rup.i18n.app.nuevo.vip,
			$.rup.i18n.app.nuevo.idparte,
			$.rup.i18n.app.nuevo.fechare,
			$.rup.i18n.app.nuevo.fechaplanif,
			$.rup.i18n.app.nuevo.edificio,
			$.rup.i18n.app.nuevo.zona,
			$.rup.i18n.app.nuevo.planta,
			$.rup.i18n.app.nuevo.clase,
			$.rup.i18n.app.nuevo.codigo,
			$.rup.i18n.app.nuevo.nombre,
			$.rup.i18n.app.nuevo.averiaRepe
		],
		colModel: [
			{ name: "vip",
				label: "vip",
				index: "vip",
				width: "40",
				editable: true,
				edittype: "text",
			    formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
			    		var html = '';
			    		var src = $.rup.RUP+"/basic-theme/images/rup.ok.png";
                		if (cellval && cellval != 0){
                        	html = '<img width="20" height="20" src='+src+' id="idDesc-'+cellval+'"  title="'+$.rup.i18n.app.nuevo.vip+'">';
                        }
                        return html;
                	}
			},		           
			{ name: "idparte",
				label: "idparte",
				index: "idparte",
				width: "50",
				editable: true,
				edittype: "text"
			},
			{ name: "fechare",
				label: "fechare",
				index: "fechare",
				width: "180",
				editable: true,
				edittype: "text"
			},
			{ name: "fechaplanif",
				label: "fechaplanif",
				index: "fechaplanif",
				width: "140",
				editable: true,
				edittype: "text"
			},
			{ name: "edificio." + obtenerIdioma() + "edificio",
				label: "edificio." + obtenerIdioma() + "edificio",
				index: "idedificio",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "zona." + obtenerIdioma() + "zona",
				label: "zona." + obtenerIdioma() + "zona",
				index: "idzona",
				width: "100",
				editable: true,
				edittype: "text"
			},
			{ name: "planta." + obtenerIdioma() + "planta",
				label: "planta." + obtenerIdioma() + "planta",
				index: "idplanta",
				width: "100",
				editable: true,
				edittype: "text"
			},
			{ name: "clase." + obtenerIdioma() + "clase",
				label: "clase." + obtenerIdioma() + "clase",
				index: "idclase",
				width: "100",
				editable: true,
				edittype: "text"
			},
			{ name: "codigo." + obtenerIdioma() + "codigo",
				label: "codigo." + obtenerIdioma() + "codigo",
				index: "idcodigo",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "nombre",
				label: "nombre",
				index: "nombre",
				width: "100",
				editable: true,
				edittype: "text"
			},
			{ name: "averiaRepe",
				label: "averiaRepe",
				index: "averiaRepe",
				width: "35",
				editable: true,
				edittype: "text",
			    formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
			    		var html = '';
			    		var src = $.rup.RUP+"/basic-theme/images/rup.ok.png";
                		if (cellval && cellval != 0){
                        	html = '<img width="20" height="20" src='+src+' id="idDescAR-'+cellval+'"  title="'+$.rup.i18n.app.nuevo.averiaRepe+'">';
                        }
                        return html;
                	}
			}
        ]
		
	});
	
	$("#mantPartes").rup_maint({
		jQueryGrid: "GRID_mantPartes",
		primaryKey: "idparte",
		modelObject: "Partes",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		onafterDetailShow: function(){
			$("#mantPartes").rup_maint("search");
		},
		searchForm: "searchForm",
		showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.nuevo,
						css: "rup-maint_new"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncNuevoParte
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleParte
					},
					{
						obj: {
							i18nCaption: $.rup.i18n.app.botones.eliminar,
							css: "rup-maint_delete"
							},
							json_i18n: $.rup.i18n.app.simpelMaint,
							click: fncEliminarParte
						},
						{
							obj: {
								i18nCaption: $.rup.i18n.app.botones.sincronizar,
								css: "rup-maint_sincronizar"
							},
							json_i18n: $.rup.i18n.app.simpelMaint,
							click: fncDescargarOTsGmao
						}
					]
	
			}
	});

	
	function fncEliminarParte(){
		
		var id= $("#GRID_mantPartes").rup_grid('getGridParam','selrow');
		var ret = $("#GRID_mantPartes").rup_grid('getRowData',id); 
		var idparte =ret.idparte;

		
		//Solo se permiten borrar partes que no tengan tecnicos asignados.
		$.ajax({
			  type: "POST",				  
			  url: "../partetecnicos/parteTieneTecnicos",
			  data:  { idParte:idparte},
			  success: function(dataParte){	
				  if (dataParte==true){
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.mensajesPartes.tieneTecnicos 
					 	});
				  }else{		
					  //Commprobar si tiene hijos. Es decir hay un "parte original" del que depende.
					  
						$.ajax({
							  type: "POST",				  
							  url: "../partes/parteTieneHijos",
							  data:  { idParte:idparte},
							  success: function(dataParte){	
								  if (dataParte==true){
									  //Tiene partes hijos. no se puede eliminar.
										$.rup_messages("msgAlert", { 
								 			title: $.rup.i18n.app.comun.control,
									 		message: $.rup.i18n.app.mensajesPartes.tieneHijos
									 	});
										return;
								  
								  }else{
									  $.ajax({
									  //Comprobamos si ya está finalizado
									  type: "POST",				  
									  url: "../partes/parteFinalizado",
									  data:  { idParte:idparte},
									  success: function(dataParte){	
										  if (dataParte){
											  //Esta finalizado
												$.rup_messages("msgAlert", { 
										 			title: $.rup.i18n.app.comun.control,
											 		message: $.rup.i18n.app.mensajesPartes.finalizadoSinTecnicos
											 	});
												return;
										  
										  }else{
											  //Pedir confirmación para eliminar
											  $.rup_messages("msgConfirm", {
												title: $.rup.i18nParse($.rup.i18n.app,"mensajesPartes.eliminar"),			
												message: "Parte nº " + idparte + " - " + $.rup.i18nParse($.rup.i18n.app,"mensajesPartes.deseaEliminar"),
												OKFunction: function(){

													//Si corresponde a un parte preventivo (tiene actuaciones en la tabla ACTUACION), preguntar si se eliminan las relaciones
													$.ajax({
														  type: "POST",				  
														  url: "../actuacion/parteTieneActuaciones",
														  data:  { idParte:idparte},
														  success: function(dataParte){	
															  if (dataParte==true){
																	$.rup_messages("msgConfirm", {
																		title: $.rup.i18nParse($.rup.i18n.app,"mensajesPartes.esPartePreventivo"),			
																		message: $.rup.i18nParse($.rup.i18n.app,"mensajesPartes.deseaEliminarPartePrev"),
																		OKFunction: function(){
																			eliminarParte(idparte);
																		},
																		CANCELFunction : function(){
																		}
																		});
																  
															  }else{
																	eliminarParte(idparte);
															  }
															  },
														  error: function() {
																$.rup_messages("msgAlert", { 
														 			title: $.rup.i18n.app.comun.control,
															 		message: $.rup.i18n.app.accionesRegistros.errorBorrar 
															 	});
														  },
														  dataType: "json"
														});
												},
												CANCELFunction : function(){
												}
												});
										  }
									  },
									  error: function(){
										  $.rup_messages("msgAlert", { 
									 			title: $.rup.i18n.app.comun.control,
										 		message: $.rup.i18n.app.accionesRegistros.errorBorrar 
										 	});
									  }
									  });
								  }
								  },
							  error: function() {
									$.rup_messages("msgAlert", { 
							 			title: $.rup.i18n.app.comun.control,
								 		message: $.rup.i18n.app.accionesRegistros.errorBorrar 
								 	});
							  },
							  dataType: "json"
							});
					  }
				  },
			  error: function() {
					$.rup_messages("msgAlert", { 
			 			title: $.rup.i18n.app.comun.control,
				 		message: $.rup.i18n.app.accionesRegistros.errorBorrar 
				 	});
			  },
			  dataType: "json"
			});
		

		
}
	
	
	function fncNuevoParte() {
		window.location = "/aa20bMaqPartesWar/partes/nuevoParte";
	}
	
	function fncDetalleParte() {
		$("#miPagina").val($("#GRID_mantPartes").rup_grid("getGridParam").page);
		
		var id= $("#GRID_mantPartes").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_mantPartes").rup_grid('getRowData',id); 
		 var idparte =ret.idparte;
		 
		    // enviamos el form alternativo con el idparte
			buscaParteForm.idparte.value = idparte;
			buscaParteForm.submit();
		return false; 		
	}
	
	//Busqueda por fecha de recepcion.
	$.rup_date({
		from: "fechareD_search",
		to: "fechareH_search",
		independientes: true,
		independientes: true
		});
	
	//Busqueda por fecha de planificacion.
	$.rup_date({
		from: "fechaplanifD_search",
		to: "fechaplanifH_search",
		independientes: true,
		independientes: true
		});
	
	if ($("#actualesTodos").val()==1){
		//Se cargan todos los departamentos y direcciones, actuales y de baja
		//Departamento
		$("#comboDepartamentos").rup_combo({
			source: "../partes/departamentos/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"depar", value:"iddepar"},
			width: 200,
			menuWidth:350,
			ordered: false,
			blank: "",
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddepar_search").val($("#comboDepartamentos").rup_combo("value"));

			},
			style : "dropdown"										
		});
		//Direccion
		$("#comboDirecciones").rup_combo({
			parent: [ "comboDepartamentos"],
			source: "../partes/direcciones/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"dir", value:"iddir"},
			width: 200,
			menuWidth:350,
			ordered: false,
			blank: "",
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddir_search").val($("#comboDirecciones").rup_combo("value"));
			},
			style : "dropdown"										
		});

		$("input:radio[name=rbActTodos]", "#searchForm").filter("[value=1]").prop("checked", true);
		
	}else{
		//Solo se cargan departamentos y direcciones que esten de alta actualmente
		//Departamento
		$("#comboDepartamentos").rup_combo({
			source: "../partes/departamentosAlta/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"depar", value:"iddepar"},
			width: 200,
			menuWidth:350,
			ordered: false,
			blank: "",
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddepar_search").val($("#comboDepartamentos").rup_combo("value"));

			},
			style : "dropdown"										
		});
		//Direccion
		$("#comboDirecciones").rup_combo({
			parent: [ "comboDepartamentos"],
			source: "../partes/direccionesAlta/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"dir", value:"iddir"},
			width: 200,
			menuWidth:350,
			ordered: false,
			blank: "",
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddir_search").val($("#comboDirecciones").rup_combo("value"));
			},
			style : "dropdown"										
		});
		
		$("input:radio[name=rbActTodos]", "#searchForm").filter("[value=0]").prop("checked", true);
	}
	//Edificio
	$("#comboEdificios").rup_combo({
		source: "../partes/edificiosUsuario/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo()+"edificio", value:"idedificio"},
		width: 200,
		menuWidth:350,
		blank: "",
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#idedificio_search").val($("#comboEdificios").rup_combo("value"));
		},
		style : "dropdown"										
	});
	
	//Se Crea el combo de Con Tecnicos 
	$('#conTecnicosCombo').rup_combo({
		source : [
				{i18nCaption: $.rup.i18n.app.comboConTecnicos._blank, value:""},
				{i18nCaption: $.rup.i18n.app.comboConTecnicos.conTecnicos, value:"1"},
				{i18nCaption: $.rup.i18n.app.comboConTecnicos.sinTecnicos, value:"0"}
		         ],
		width: 150,
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#conTecnicos_search").val($("#conTecnicosCombo").rup_combo("value"));
		},
		orderedByValue: true,
		style : "dropdown"	
	});
	
	//Se Crea el combo de Envio mail
	$('#enviomailCombo').rup_combo({
		source : [
				{i18nCaption: $.rup.i18n.app.comboEnviomail._blank, value:""},
				{i18nCaption: $.rup.i18n.app.comboEnviomail.conMail, value:"1"},
				{i18nCaption: $.rup.i18n.app.comboEnviomail.sinMail, value:"0"}
		         ],
		width: 150,
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#enviomail_search").val($("#enviomailCombo").rup_combo("value"));
		},
		orderedByValue: true,
		style : "dropdown"	
	});
	
	// Limpiar no deschequea automaticamente los chekbox.  
	$("#clean_search_mantPartes").unbind("click");
	$("#clean_search_mantPartes").bind("click",limpiarFormBusqueda);

	$("#mantPartes").rup_maint("search");
});


/*************************************************************/
/***********************ELIMINAR PARTE************************/
/*************************************************************/

function eliminarParte(idParte){
	$.ajax({
		  type: "POST",				  
		  url: "../partes/eliminarParte",
		  data:  { idParte:idParte},
		  success: function(dataParte){	
			  if (dataParte==true){
				  	$.rup_messages("msgOK", { 
				  		title: $.rup.i18n.app.comun.control,
				  		message: $.rup.i18n.app.mensajesPartes.eliminado 
				  	});
				  	$("#mantPartes").rup_maint("search");
			  }
			  else{
					$.rup_messages("msgAlert", { 
			 			title: $.rup.i18n.app.comun.control,
				 		message: $.rup.i18n.app.accionesRegistros.errorBorrar 
				 	});
			  }
			  },
		  error: function() {
				$.rup_messages("msgAlert", { 
		 			title: $.rup.i18n.app.comun.control,
			 		message: $.rup.i18n.app.accionesRegistros.errorBorrar 
			 	});
		  },
		  dataType: "json"
		});
}


/*************************************************************/
/***********************SERVICIOS*****************************/
/*************************************************************/

$("#imgBuscarServicios").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.ventanaSeleccion
	}
});

function btn_BuscarServicios(){
	var urlServicios="../servicios/obtenerServicios";
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
		        		//Pintar el texto de servicio 
		        		$("#idServicio").val($("#idTablaServicios option:selected").val());
		        		var texto = $("#idTablaServicios option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoServicio").val(texto);
		        		$("#lupaServicios").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

/**************************************************************/


function buscar(){
	$("#mantPartes").rup_maint("search");
}
function limpiarFormBusqueda() {
	$("#ejecutado_search").prop('checked', false);
	$("#parado_search").prop('checked', false);
	$("#averiaRepe_search").prop('checked', false);
	$("#urgente_search").prop('checked', false);
	
	$('#comboDepartamentos').rup_combo("setRupValue","");
	$('#comboDirecciones').rup_combo("setRupValue","");

	cargarCombosDptoDir(0);
	$("#mantPartes").rup_maint("cleanSearchForm");
	
	$("#idclase_search").val(claseUsuario);
	if ($.rup_utils.capitalizedLang() =="Es") {	
		$("#cclase_search").val(descClaseUsuarioEs);
	} else {
		$("#cclase_search").val(descClaseUsuarioEu);
	}
	
	$("#mantPartes").rup_maint("search");

	$("#rbActTodos1").attr('checked', true);
	$("#rbActTodos1").val(0);
	$("#rbActTodos2").val(1);
	
}

function obtenerIdiomaCombo(){
	var idioma="c";		
	if ($.rup_utils.capitalizedLang() =="Es") {	
		idioma = "c";
	} else idioma="e";
	return idioma;
	}
function activarCheck(e){
	$("input[type=checkbox]").each (function() {						
		$(this).val(this.checked ? "1" : "0");
	});
}
function obtenerIdioma(){
    var idioma="";       
    if ($.rup_utils.capitalizedLang() =="Es") {    
          idioma = "c";
    } else idioma="e";
    return idioma;
}


function btn_BuscarCodigos(){
	$("#idTablaClases").empty();
	var textoBaja="";
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clases/obtenerClasesServicio",
		data:{idClase:claseUsuario},
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cclase;
              	} else {
              		descripcion = textoBaja + data[i].eclase;
              	}
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	textoBaja="";
	//Obtener la lista de activos
	if (parseInt(claseUsuario) > 0) {
		
		obtenerCodigosClase($("#idclase_search").val());
		} else {
	$.ajax({
		type: "POST",
		url: "../codigo/codigos/obtenerCodigosServicio",
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = textoBaja + data[i].ccodigo;
              	} else {
              		descripcion = textoBaja + data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

		}
	//Mostrar la ventana de lupa
	$("#lupa").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupa",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//$("#comboClasesActivo_label").rup_autocomplete("search", sClase);
	        		//$("#comboActivos_label").rup_autocomplete("search", sCodigo);
	        		/*sClase = sClase.replace(/&nbsp;/g, "");
	        		$("#idclase_search").val(sClase);
	        		sCodigo = sCodigo.replace(/&nbsp;/g, "");
	        		$("#idcodigo_search").val(sCodigo);
	        		$("#lupa").rup_dialog("close");*/
	        		if ($("#idTablaClases").val() != null && $("#idTablaClases").val() != "" && $("#idTablaClases").val() != " ") {
		        		
		        		sClase = sClase.replace(/&nbsp;/g, "");
		        		$("#idclase_search").val($("#idTablaClases").val());
		        		$("#cclase_search").val(sClase);
		        		} 
		        		
		        		var elCodigo = $("#idTablaCodigos option:selected").html();
		        		if (elCodigo != undefined) {
		        		elCodigo = elCodigo.replace(/&nbsp;/g, "");
		        		
		        		$("#idcodigo_search").val(elCodigo);
		        		} else {
		        			$("#idcodigo_search").val("");
		        		}
		        		
		        		
		        		$("#lupa").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupa",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupa").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   
}
function obtenerCodigosClase(valor){
	textoBaja="";
	//Obtener la lista de activos
	$.ajax({
		type: "POST",
		url: "../codigo/codigos/obtenerCodigosClaseServicio",
		  data:  { claseSel:valor },
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = textoBaja + data[i].ccodigo;
              	} else {
              		descripcion = textoBaja + data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	sClase=$("#idTablaClases option:selected").html();;
}
function obtenerClaseCodigo(valor){
	var claseCodigo= valor; //Original Text

	var partes= claseCodigo.split('@');
	var clase = partes[0];
	var codigo= partes[1];
	
	sCodigo=$("#idTablaCodigos option:selected").html();;
	//Marcar clase asociada al activo	
	$("#idTablaClases option[value="+ clase +"]").attr("selected",true);
	sClase=$("#idTablaClases option:selected").html();
}

$(window).load(function() {
	$('#conTecnicosCombo').rup_combo("setRupValue",$("#conTecnicos_search").val());
	$('#enviomailCombo').rup_combo("setRupValue",$("#enviomail_search").val());
	$('#comboEdificios').rup_combo("setRupValue",$("#idedificio_search").val());
	$('#comboDepartamentos').rup_combo("setRupValue",$("#iddepar_search").val());
	$('#comboDirecciones').rup_combo("setRupValue",$("#iddir_search").val());
});

function cargarCombosDptoDir(valor){
	if (valor==1){
		$("#comboDepartamentos").rup_combo().data("settings").source="../partes/departamentos/combo/remote";
		$("#comboDirecciones").rup_combo().data("settings").source="../partes/direcciones/combo/remote";
		$("#actualesTodos").val(1);
	}else{
		$("#comboDepartamentos").rup_combo().data("settings").source="../partes/departamentosAlta/combo/remote";
		$("#comboDirecciones").rup_combo().data("settings").source="../partes/direccionesAlta/combo/remote";
		$("#actualesTodos").val(0);
	}
	$('#comboDepartamentos').rup_combo("reload");
	//vaciar el campo del formulario que actualiza el valor
	$("#iddepar_search").val("");
	$("#iddir_search").val("");
	
}

function fncDescargarOTsGmao(){
	var propertiesOK = {
			type: "ok",
			fadeSpeed: 600,
			gotoTop: false,
			block: false,
			closeLink: false
	};

var propertiesError = {
			type: "error",
			fadeSpeed: 600,
			gotoTop: false,
			block: true,
			closeLink: false
	};

$.rup_messages("msgConfirm", {
	title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sincronizar"),			
	message: $.rup.i18nParse($.rup.i18n.app,"mensajesPartes.msjSincronizarGmao"),
	OKFunction: function(){
		var respuesta = '';
		$.ajax({
			type: "POST",
			url: "../procesosGmao/bajarTodasOTsGmao",
			dataType: "json",
			beforeSend : function(data) {
				//Mostrar div de sincronizando
				$("#dialogoSincronizar").rup_dialog("open");
			},
			success: function(data){
				$("#dialogoSincronizar").rup_dialog("close");
				
				respuesta = data;
				if(respuesta == "OK"){
					$("#feedback_mantPartes").rup_feedback (propertiesOK);
					$("#feedback_mantPartes").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.okSincronizar + "</strong></p>");
					$("#feedback_mantPartes").rup_feedback("show");
					$("#GRID_mantPartes").rup_grid("reloadGrid");
				}else if (respuesta == ""){
				
				}else{
					$("#feedback_mantPartes").rup_feedback (propertiesError);
					$("#feedback_mantPartes").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + ": " + respuesta + "</strong></p>");
					$("#feedback_mantPartes").rup_feedback("show");
				}
					  
			},
			error: function(data) {
				$("#dialogoSincronizar").rup_dialog("close");
		 		$("#feedback_mantPartes").rup_feedback (propertiesError);
		 		$("#feedback_mantPartes").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + "</strong></p>");
		 		$("#feedback_mantPartes").rup_feedback("show");
				  
			}
		});
		
		
	},
	CANCELFunction : function(){
	}
	});

	
}

function ocultarBusqueda(){
	
	$("#mantPartes_filter_div").toggle("slow",function(){
		
	});
}
